Subject: Re: FTP from browser

From: "Larry Jackson" <[email-masked]>
Date: Fri, 5 May 2000 14:41:29 -0400

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

Has anyone patched the http-gw proxy to handle FTP better?

Specifically I'm looking for file information like size and permission.
I know this is not standard from O/S to O/S but lots of prgrams handle this.

I've also had problems with it adding a / to the end of text files and
treating them like directories instead of displaying the text file.

Thanks,
[email-masked]

From: Joseph S D Yao <[email-masked]>
To: }{ce||enT <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, April 14, 2000 12:29 PM
>
> On Fri, Apr 14, 2000 at 01:49:24PM +0500, }{ce||enT wrote:
> >
> > I have configured FWTK's FTP-gw and works fine with dos prompt but when
i
> > do FTP from web browser it says U dont have permission to access this
site.
> >
> > Normally when i DO ftp From other machine whose gateway is different ,
it works fine ...
> >
> > Can any one tell me what should i do ???
> >
> > xcelent
>
> FTP from a Web browser does NOT use ftp-gw.  It uses http-gw.  Make
> sure that you are running http-gw on port 80 on your bastion host.
> Configure your browser to use your bastion host on port 80 for HTTP,
> HTTPS ["Security"], FTP, and also Gopher.
>
> Joe Yao [email-masked] - Joseph S. D. Yao